--
-- Sentry-go Quick Monitor Alert Table Creation Script
-- for SQL Server.
--
-- The following table definition can be modified if you 
-- wish to include or remove some of the data logged. 
--

-- DDL Definition for SQL Server (run this from SQL Analyser or ISQL) 
CREATE TABLE [dbo].[SentrygoAlerts] (
 [ErrorID] [int] IDENTITY (1, 1) NOT NULL ,
 [TimeOccurred] [varchar] (30) NOT NULL ,
 [Server] [varchar] (255) NOT NULL ,
 [CheckName] [varchar] (255) NOT NULL ,
 [AlertText] [varchar] (500) NOT NULL
) ON [PRIMARY]

-- SQL Definition (this SQL can be entered into the Configuration Utility's
-- "Logging" tab in order to log data to the above table. Remove any "--"
-- when entering the SQL)
--
-- INSERT INTO SentrygoAlerts 
-- (TimeOccurred, Server, CheckName, AlertText) 
-- VALUES ('<$$TIMELOGGED>', '<$$SERVER>', '<$$TEST>', Left('<$$ERROR>', 499))
